// Реалізувати програму на Javascript, яка знаходитиме всі числа кратні 5 (діляться на 5 без залишку) у заданому діапазоні. Завдання має бути виконане на чистому Javascript без використання бібліотек типу jQuery або React.

// Технічні вимоги:
// Отримати за допомогою модального вікна браузера число, яке введе користувач.
// Вивести в консолі всі числа, кратні 5, від 0 до введеного користувачем числа. Якщо таких чисел немає - вивести в консоль фразу "Sorry, no numbers"
// Обов'язково необхідно використовувати синтаксис ES6 (ES2015) для створення змінних.

// Необов'язкове завдання підвищеної складності
// Перевірити, чи введене значення є цілим числом. Якщо ця умова не дотримується, повторювати виведення вікна на екран, доки не буде введено ціле число.
// Отримати два числа, m і n. Вивести в консоль усі прості числа (http://uk.math.wikia.com/wiki/%D0%9F%D1%80%D0%BE%D1%81%D1%82%D0%BE%D0%B5_%D1%87%D0%B8%D1%81%D0%BB%D0%BE) в діапазоні від m до n (менше із введених чисел буде m, більше буде n). Якщо хоча б одне з чисел не відповідає умовам валідації, зазначеним вище, вивести повідомлення про помилку і запитати обидва числа знову.


let number = +prompt ('Enter any number');
let count = 0;
while (!Number.isInteger(number)) {
    number = +prompt ('Enter any number')
};
for (let i = 1; i <= number; i++) {
    if (i % 5 === 0) {
        console.log(i);
        count++;
    };
};
if (count === 0) {
    console.log("Sorry, no numbers");
};


const number1 = +prompt ('Enter first number');
const number2 = +prompt ('Enter second number');
let m = Math.min(number1, number2);
let n = Math.max(number1, number2);
nextPrime:
for (let i = m; i <= n; i++) {
    for (let j = m; j < i; j++) {
        if (i % j === 0) {
            continue nextPrime;
        }
    }
    console.log(i);
};
